Bug 1347762 - IMSM RAID reshape problem
Summary: IMSM RAID reshape problem
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mdadm
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jes Sorensen
QA Contact: Zhang Yi
Milan Navratil
URL:
Whiteboard:
Keywords:
Depends On: 1340768
Blocks: 1263458 1274397 1346564
TreeView+ depends on / blocked
 
Reported: 2016-06-17 14:54 UTC by Jes Sorensen
Modified: 2016-11-04 00:09 UTC (History)
12 users (show)

(edit)
A race condition no longer occurs with IMSM RAID arrays running an *mdadm* reshape operation

With Intel Matrix Storage Manager (IMSM) RAID arrays running an *mdadm* reshape operation, a race condition could previously allow a second reshape to be launched on the same array before the first operation was completed, and the reshaping operation did not complete correctly. With this update, the race condition no longer occurs, and a second reshape operation cannot be started before the first operation is completed.
Clone Of: 1340768
(edit)
Last Closed: 2016-11-04 00:09:16 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2182 normal SHIPPED_LIVE mdadm bug fix and enhancement update 2016-11-03 13:17:48 UTC

Comment 7 errata-xmlrpc 2016-11-04 00:09:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2182.html


Note You need to log in before you can comment on or make changes to this bug.